<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractAntibiogramme extends Model
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'germe' => 'string',
        'methode' => 'string',
        'methode_autre' => 'string',
        'updated_at' => 'datetime',
        'created_at' => 'datetime'
    ];
    
    /**  
     * The guarded property should contain an array of attributes that you do not want to be mass assignable.
     * 
     * @var array
     */
    protected $guarded = [];
    
    public function spermogrammes()
    {
        return $this->hasMany('\App\Spermogramme', 'antibiogramme_id', 'id');
    }
    
    public function prelevementURetralResults()
    {
        return $this->hasMany('\App\PrelevementURetralResult', 'antibiogramme_id', 'id');
    }
    
    public function hemocultures()
    {
        return $this->hasMany('\App\hemoculture', 'antibiogramme_id', 'id');
    }
    
    public function rechercheMycosplasmes()
    {
        return $this->hasMany('\App\RechercheMycosplasme', 'antibiogramme_id', 'id');
    }
    
    public function prelevementCervicoVaginals()
    {
        return $this->hasMany('\App\PrelevementCervicoVaginal', 'antibiogramme_id', 'id');
    }
    
    public function antibiotiques()
    {
        return $this->belongsToMany('\App\Antibiotique', 'antibiogramme_result', 'antibiogramme_id', 'antibiotique_id')->withPivot('result');
    }
}
